<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- 
       	Transform from xml report to html
       	Author: Bob Glushko  (August 2005)
       -->
	<xsl:template match="Report">
		<html>
			<head>
				<title>
					<xsl:value-of select="/Report/Metadata/Assignment/Course"/>
				</title>
			</head>
			<body>
				<h1>
					<xsl:value-of select="/Report/Metadata/Assignment/Course"/>
				</h1>
				<h2>
					<xsl:value-of select="/Report/Metadata/Assignment/Title"/>
				</h2>
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	<!-- 
       	Metadata template
       -->
	<xsl:template match="Metadata">
		<p>
			<b>Author(s):</b>
			<br/>
			<xsl:for-each select="Author">
				<xsl:value-of select="Name"/>
				<br/>
				<xsl:value-of select="Email"/>
				<br/>
			</xsl:for-each>
		</p>
		<xsl:for-each select="Assignment">
			<p>
				<b>Course: </b>
				<xsl:value-of select="Course"/>
				<br/>
				<b>Date: </b>
				<xsl:value-of select="Date"/>
				<br/>
				<b>Title: </b>
				<xsl:value-of select="Title"/>
				<br/>
				<xsl:value-of select="Description"/>
				<br/>
			</p>
		</xsl:for-each>
	</xsl:template>
	<!-- 
       	Body template
       -->
	<xsl:template match="Body">
		<xsl:for-each select="Section">
			<b>
				<xsl:value-of select="@title"/>
			</b>
			<p>
				<xsl:apply-templates/>
			</p>
		</xsl:for-each>
	</xsl:template>
	<!-- 
       	Para template
       -->
	<xsl:template match="Para">
		<p><xsl:apply-templates/>
		</p>
	</xsl:template>
</xsl:stylesheet>
